import java.util.Scanner;

public class Applicazione {

	public static void main(String[] args) {
		
		//Crei due oggetti Biblioteca (nome e altri dati a piacere);
		Biblioteca biblio1 = new Biblioteca("Dore", "viale Risorgimento, 2", 1, 3);
		Biblioteca biblio2 = new Biblioteca("Michelucci", "via Vallescura, 4", 2, 3);
		
		//Crei un oggetto Libro, lette da tastiera le informazioni necessarie. 
		Scanner tastiera = new Scanner(System.in);
		System.out.print("Inserire autore: ");
		String autore = tastiera.nextLine();
			
		System.out.print("Inserire titolo: ");
		String titolo = tastiera.nextLine();
		
		System.out.print("Inserire casa editrice: ");
		String editore = tastiera.nextLine();
		
		System.out.print("Inserire anno: ");
		int anno = tastiera.nextInt();
		
		//Rimane un "a capo" non letto. Per evitare che 
		//crei problemi, lo leggo (senza salvarlo, non
		//mi serve).
		tastiera.nextLine();
		
		Libro libro = new Libro(autore, titolo, editore, anno);
		
		//Trovi la prima biblioteca che non contiene alcun libro dellautore del libro di cui al punto 2. 
		int id_biblioteca = -1;
		if(biblio1.cerca(libro.getAutore()) == null)
			id_biblioteca = biblio1.getCodice();
		else if(biblio2.cerca(libro.getAutore()) == null)
			id_biblioteca = biblio2.getCodice();
		
		//Inserisca il libro di cui al punto 2 nella biblioteca di cui al punto 3 (se tale biblioteca esiste). 
		if(id_biblioteca == 1) {
			biblio1.aggiungi(libro);
		}
		else if(id_biblioteca == 2)
			biblio2.aggiungi(libro);
		
		//Letto da tastiera il nome di un autore, provveda a stampare a video tutti i libri di tale autore presenti in entrambe le biblioteche.

		System.out.print("Inserire autore: ");
		autore = tastiera.nextLine();
		
		Libro[] res = biblio1.cerca(autore);
		if(res != null) {
			System.out.println("Biblioteca 1: ");
			for(int i = 0; i < res.length; i++)
				System.out.println(res[i]);
		}
		
		res = biblio2.cerca(autore);
		if(res != null) {
			System.out.println("Biblioteca 2: ");
			for(int i = 0; i < res.length; i++)
				System.out.println(res[i]);
		}
		
	}

}
